<?php
require_once('workflows.php');

$file_name = 'qwrap.data.js';
$icon = "icon.png";
$wf = new Workflows();

if(!file_exists($file_name)) {
    $wf->result('empty', '#', '请先更新文档数据', '输入update qw即可！', $icon);
} else {
    $data = json_decode(file_get_contents($file_name), true);
    $query = strtolower($query);
    $found = array();

    $base_url = "http://dev.qwrap.com/resource/js/_docs/_youa/#";

    foreach ($data as $item) {
        $title = strtolower(trim($item['title']));
        $ori_title = trim($item['title']);
        
        $description = $item['description'];
        $url = $base_url . '/' . $item['url'];

        if (strpos($title, $query) !== false) {
            if (!isset($found[$title])) {
                $found[$title] = true;
                $wf->result($ori_title, $url, $ori_title, $description, $icon);
            }
        }
    }

    if(empty($found)) {
        $wf->result('empty', '#', '没有找到任何匹配项', '请尝试减少搜索词！', $icon);
    }
}

echo $wf->toxml();